Session management is necessary for tracking and giving rights to certain users. For a functional setup install both `elogind` and `turnstile` and enable their corresponding services.

``` shell-session
sh# emerge -av elogind turnstile
sh# rc-update add elogind boot
sh# rc-update add turnstiled
```

Then configure `pam` to turnstile to track the user:

``` shell title="/etc/pam.d/system-login"
...
session optional    pam_turnstile.so
```

When a user logs in it should now be able to start a graphical session. This should be done with:

``` shell-session
sh$ dbus-run-session -- <window_manager>
```
